[API Reference](../README.md) > [DaoCreatorFactoryType](../classes/DaoCreatorFactoryType.md)



# Class: DaoCreatorFactoryType


defined just to add good type checking

## Hierarchy


 [ContractWrapperFactory](ContractWrapperFactory.md)[DaoCreatorWrapper](DaoCreatorWrapper.md)

**↳ DaoCreatorFactoryType**







## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)[DaoCreatorWrapper](DaoCreatorWrapper.md)

## Index

### Constructors

* [constructor](DaoCreatorFactoryType.md#constructor)


### Methods

* [at](DaoCreatorFactoryType.md#at)
* [deployed](DaoCreatorFactoryType.md#deployed)
* [new](DaoCreatorFactoryType.md#new)
* [setConfigService](DaoCreatorFactoryType.md#setConfigService)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new DaoCreatorFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [DaoCreatorFactoryType](DaoCreatorFactoryType.md)


*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:26](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L26)*



Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string`   |  - |
| wrapper | `object`   |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md)   |  - |





**Returns:** [DaoCreatorFactoryType](DaoCreatorFactoryType.md)

---


## Methods
<a id="at"></a>

###  at

► **at**(address: *`string`*): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:61](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L61)*



Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___

<a id="deployed"></a>

###  deployed

► **deployed**(): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [contractWrapperFactory.ts:77](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L77)*



Return a wrapper around the contract as deployed by the current version of Arc.js. Note this is usually not needed as the WrapperService provides these wrappers already hydrated. Returns undefined if not found.




**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___

<a id="new"></a>

###  new

► **new**(controllerCreatorAddress?: *[Address](../#Address)*): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [wrappers/daoCreator.ts:488](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/daoCreator.ts#L488)*




**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| controllerCreatorAddress | [Address](../#Address)   |  The ControllerCreator that Arc will use when migratinga new non-universal controller in `forgeOrg`.Typically is `ControllerCreator` from Arc. |





**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___

<a id="setConfigService"></a>

### «Static» setConfigService

► **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:14](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L14)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md)   |  - |





**Returns:** `void`





___


